# $Id: libmthca.spec.in 3871 2005-10-26 04:22:07Z roland $
# Modified by Doug Ledford for inclusion in RHEL-4/FC-4
# Built against subversion source trees instead of released versions


%define ver      4265
%define dist	 .2.EL4

Name: libmthca
Version: 1.0.rc4
Release: 0.%{ver}%{?dist}.XOS.1
Summary: Mellanox InfiniBand HCA Userspace Driver

Group: System Environment/Libraries
License: GPL/BSD
Url: https://openib.org/svn/gen2/trunk
Source: %{name}-%{ver}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libibverbs-devel
ExclusiveArch: i386 x86_64 ia64

%description
libmthca provides a device-specific userspace driver for Mellanox HCAs
(MT23108 InfiniHost and MT25208 InfiniHost III Ex) for use with the
libibverbs library.

%package devel
Summary: Development files for the libmthca driver
Group: Development/System
Requires: %{name} = %{version}-%{release}

%description devel
Static version of libmthca that may be linked directly to an
application, which may be useful for debugging.

%prep
%setup -q -n %{name}-%{ver}
./autogen.sh
%configure

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/infiniband/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/infiniband/mthca.so
%doc AUTHORS COPYING ChangeLog README

%files devel
%defattr(-,root,root,-)
%{_libdir}/infiniband/mthca.a

%changelog
* Fri Mar 10 2006 X/OS Linux Team <xoslinux@xos.nl> 1.0.rc4-0.4265.2.EL4.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on libmthca-1.0.rc4-0.4265.2.EL4.src.rpm
  (md5sum of original source rpm: b5230f5ee5c5c536cb1c0c2fef9fb6bc).

* Thu Feb 2 2006 Doug Ledford <dledford@redhat.com>
- Bump version and rebuild with latest gcc
- Remove ppc64 from build since the latest kernel doesn't have InfiniBand
  support compiled in for any of the ppc arches

* Tue Nov 22 2005 Doug Ledford <dledford@redhat.com>
- Update the version string to match the upstream version
- Add ppc64 to the build matrix

* Tue Nov 15 2005 Doug Ledford <dledford@redhat.com>
- Put a dist tag in to separate RHEL-4 and FC-4 builds.

* Mon Nov 7 2005 Doug Ledford <dledford@redhat.com>
- Initial import to RHEL-4 based upon Roland Drier's FC-4 package

